1

i'm following a tutorial on how to create an onchain permissioning network with hyperledger besu : https://besu.hyperledger.org/en/stable/Tutorials/Permissioning/Getting-Started-Onchain-Permissioning/ but i'm facing the current error:

    node-1  | ANTLR Tool version 4.7.1 used for code generation does not match the current runtime version 4.9.2
node-1  | ANTLR Runtime version 4.7.1 used for parser compilation does not match the current runtime version 4.9.2
node-1  | ANTLR Tool version 4.7.1 used for code generation does not match the current runtime version 4.9.2
node-1  | ANTLR Runtime version 4.7.1 used for parser compilation does not match the current runtime version 4.9.2
node-1  | 2022-07-28 14:51:59.107+00:00 | main | INFO  | Besu | Using LibEthPairings native alt bn128
node-1  | 2022-07-28 14:51:59.124+00:00 | main | INFO  | Besu | Using the native implementation of the signature algorithm
node-1  | 2022-07-28 14:51:59.144+00:00 | main | INFO  | Besu | Starting Besu version: besu/v22.1.2/linux-x86_64/openjdk-java-11
node-1  | 2022-07-28 14:52:00.068+00:00 | main | INFO  | Besu | Static Nodes file = /opt/besu/usr/app/data/static-nodes.json
node-1  | 2022-07-28 14:52:00.071+00:00 | main | INFO  | StaticNodesParser | StaticNodes file /opt/besu/usr/app/data/static-nodes.json does not exist, no static connections will be created.
node-1  | 2022-07-28 14:52:00.071+00:00 | main | INFO  | Besu | Connecting to 0 static nodes.
node-1  | 2022-07-28 14:52:00.079+00:00 | main | INFO  | Besu | Security Module: localfile
node-1  | 2022-07-28 14:52:00.110+00:00 | main | INFO  | DatabaseMetadata | Lookup database metadata file in data directory: /opt/besu/usr/app/data
node-1  | 2022-07-28 14:52:00.221+00:00 | main | INFO  | RocksDBKeyValueStorageFactory | Existing database detected at /opt/besu/usr/app/data. Version 1
node-1  | 2022-07-28 14:52:00.891+00:00 | main | INFO  | KeyPairUtil | Loaded public key 0xf0d75da70ed29306e0e4ce8cd22a34a607591e68d07b7a33932cf8ca34895c8a8745a1784dba0c3b0fff8bb4b6541f8cfebf0bc8d2a36755e8e7eabdd0c64916 from /opt/besu/usr/app/data/key
node-1  | 2022-07-28 14:52:01.211+00:00 | main | INFO  | ProtocolScheduleBuilder | Protocol schedule created with milestones: [London: 0]
node-1  | Error: node permissioning contract at address 0x0000000000000000000000000000000000009999 does not match the expected interface version 2.
node-1  |
node-1  | To display full help:
node-1  | besu [COMMAND] --help
node-1 exited with code 1

my config.toml file is the following:

# Valid TOML config file
data-path="usr/app/data" # Path

# Network

rpc-http-enabled=true
rpc-http-api=["ADMIN","ETH","NET","PERM","QBFT"]
host-allowlist=["*"]
rpc-http-cors-origins=["all"]

# Chain
genesis-file="/usr/app/genesis.json" # Path to the custom genesis file

permissions-accounts-contract-enabled=true
permissions-accounts-contract-address="0x0000000000000000000000000000000000008888" 
permissions-nodes-contract-enabled=true
permissions-nodes-contract-version=2
permissions-nodes-contract-address="0x0000000000000000000000000000000000009999"

min-gas-price=0

Thanks a lot !!!

1
  • I didn't find any contract ending by 0x000..99999 in the v2.1.6. Did you mean 0x000..9999? If yes; what makes the difference between your issue and your solution? Regards, Sep 22, 2022 at 22:55

1 Answer 1

1

I resolved this by using the latest contract 0x000..99999 from the genesis file in the last release here: https://github.com/ConsenSys/permissioning-smart-contracts/releases/tag/v2.1.6

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.